# Uses of Interface
jdk.jshell.spi.ExecutionEnv

Packages that use ExecutionEnv
Package
Description
jdk.jshell.execution
Provides implementation support for building JShell execution engines.
jdk.jshell.spi
Defines the Service Provider Interface for pluggable JShell execution engines.

## Uses of ExecutionEnv in jdk.jshell.execution

Methods in jdk.jshell.execution with parameters of type ExecutionEnv
Modifier and Type
Method
Description
`ExecutionControl`
FailOverExecutionControlProvider.`generate(ExecutionEnv env, Map<String,String> parameters)`
Create and return a locally executing `ExecutionControl` instance.
`ExecutionControl`
JdiExecutionControlProvider.`generate(ExecutionEnv env, Map<String,String> parameters)`
`ExecutionControl`
LocalExecutionControlProvider.`generate(ExecutionEnv env, Map<String,String> parameters)`
Create and return a locally executing `ExecutionControl` instance.

## Uses of ExecutionEnv in jdk.jshell.spi

Methods in jdk.jshell.spi with parameters of type ExecutionEnv
Modifier and Type
Method
Description
`static ExecutionControl`
ExecutionControl.`generate(ExecutionEnv env, String spec)`
Search for a provider, then create and return the `ExecutionControl` instance.
`static ExecutionControl`
ExecutionControl.`generate(ExecutionEnv env, String name, Map<String,String> parameters)`
Search for a provider, then create and return the `ExecutionControl` instance.
`ExecutionControl`
ExecutionControlProvider.`generate(ExecutionEnv env, Map<String,String> parameters)`
Create and return the `ExecutionControl` instance.